# ``twisted`.`words`.`im`.`interfaces`.`IPerson``

interface documentation

`class IPerson(Interface): (source)`

View In Hierarchy

Undocumented

Method | `__init__` | Initialize me.
Method | `getIdleTime` |
Method | `getStatus` | What is my on-line status?
Method | `isOnline` | Am I online right now?
Method | `sendMessage` | Send a message to this person.

def __init__(name, account): (source)
Initialize me.

Parameters
name:string | My name, as the server knows me.
account:Account | The account I am accessed through.

def getIdleTime(): (source)

Returns
string (XXX: How about a scalar?) | Undocumented

def getStatus(): (source)
What is my on-line status?

Returns
`locals.StatusEnum`

def isOnline(): (source)
Am I online right now?

Returns
boolean | Undocumented

def sendMessage(text, metadata=None): (source)
Send a message to this person.

Parameters
text:string | Undocumented
metadata:dict | Undocumented